#
# fishing.R, 13 Mar 21

library("colorspace")

par(las=1)
par(bty="l")
par(pch="+")

par(mfcol=c(1, 2))

pal_col=rainbow(2)

ans_percent=function(df)
{
belv=subset(df, Believability == "believable")
unbelv=subset(df, Believability == "unbelievable")

b=100*table(belv$correct)/nrow(belv)
ub=100*table(unbelv$correct)/nrow(unbelv)

return(rbind(b, ub))
}


#"trial_type","trial_index","time_elapsed","internal_node_id","date","ID","indcode","IP","pcor","nidk","view_history","rt","url","stimulus","button_pressed","Stimulus","Figure","Validity","Believability","DirectionOfConclusion","Subject","Predicate","Middle","Terms","correct","complete","useful"
syl=read.csv("all_data.csv", as.is=TRUE)

# From original code
# exclude_ip <- ips %>% filter((ip %in% mult_ip)) %>% select(ID) %>% unlist() %>% as.character # list their IDs
# 
# # list missing IP
# exclude_missing_ip <- as.character(ips$ID[is.na(ips$ip)]) 


compare_perf=function(df, val_str)
{
val_sum=ans_percent(df)

plot(-1, type="n",
	xaxt="n",
	yaxs="i",
	xlim=c(1, 3), ylim=c(0, 100),
	xlab="Response", ylab="Percentage")

text(2, 20, val_str, cex=1.3)

axis(1, at=1:3, label=c("Correct", "Don't know", "Incorrect"))
legend(x="topright", legend=c("Believable", "Unbelievable"), bty="n", fill=pal_col, cex=1.2)

lines(c(1, 3), val_sum[1, c(1, 3)], col=pal_col[1], cex=1.5, type="b")
lines(c(1, 3), val_sum[2, c(1, 3)], col=pal_col[2], cex=1.5, type="b")

points(2, val_sum[1, 2], col=pal_col[1], cex=1.5)
points(2, val_sum[2, 2], col=pal_col[2], cex=1.5)
}


# remove response times under 2 seconds and
# those not flagged as useful (which is what the authors code did).
cl_sys=subset(syl, (rt > 2000) & useful)

valid=subset(cl_sys, Validity == "valid")
invalid=subset(cl_sys, Validity == "invalid")

compare_perf(valid, "Valid")
compare_perf(invalid, "Invalid")

# dev.copy(device=png)
# dev.off()

